<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <meta http-equiv="X-UA-Compatible" content="ie=edge">
  <title>Mfu Library Q&A</title>

  <link rel="stylesheet" href="webboard-admin-add-answer.component.scss">
  <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css">

</head>
<body>

  <header>
    <nav>
      <div class="container">
        <div class="nav-grid">
        <div class="logo">
          <img alt="MFU LIBRARY LOGO" src="/assets/picproject/Logo.png">
        </div>
        <div class="fr">
          <ul class="menu">
            <li><i class="fa fa-fw fa-home"></i><a [routerLink]="['/home']">Q&A Home</a></li>
            <li><i class="fa fa-fw fa-home"></i><a [routerLink]="['/admin/home']">Admin Home</a></li>
            <li><i class="fa fa-users"></i><a [routerLink]="['/admin/user']">Admin list</a></li>
            <li><i class="fas fa-sign-out-alt"></i><a (click)="logout()">Logout</a></li>
          </ul>
        </div>
        </div>
      </div>
    </nav>
  </header>

  <section class="content" >
    <div class="content-heading">
      <h1>Send Email</h1>
    </div>
    <form [formGroup]="emailDtoForm" (ngSubmit)="sendEmail()">
      <div class="container">

        <div class="content-services">
          <div class="content-services-item">

            <div class="content-services-from" >
              <label>From :</label>
              <input formControlName="from" readonly>
            </div>
            
            <div class="content-services-to" >
              <label>To :</label>
              <input formControlName="to" >
            </div>

            <div class="content-services-subject" >
              <label>Subject :</label>
              <input formControlName="subject" >
            </div>
            
            <div class="content-services-question" >
              <label>Question :</label>
              <div class="ql-question">
                <quill-editor formControlName="question" [modules]="editorModules" (onEditorChanged)="changedEditor($event)"></quill-editor>
              </div>
            </div>

            <div class="content-services-answer" >
              <label>Answer :</label>
              <div class="ql-answer">
                <quill-editor formControlName="answer" [modules]="editorModules" (onEditorChanged)="changedEditor($event)"></quill-editor>
              </div>
            </div>

            <div class="content-services-sendButton">
              <button type="submit" class="sendButton">Send</button>
            </div>
        
            </div>
          </div>
      </div>
    </form>

    <form [formGroup]="questionForm" (ngSubmit)="onFormSubmit()" novalidate>
    <div class="container">
      <div class="content-heading">
        <h1>Add Answer</h1>
      </div>

      <div class="content-services">
        <div class="content-services-item">

          <div class="content-services-id">
            <label>ID :</label>
            <input formControlName="_id" readonly>
          </div>

            <div class="content-services-question">
              <label>Question :</label>
              <div class="ql-question">
                <quill-editor formControlName="question" [modules]="editorModules" (onEditorChanged)="changedEditor($event)"></quill-editor>
              </div>
            </div>

            <div class="content-services-answer">
              <label>Answer :</label>
              <div class="ql-answer">
                <quill-editor formControlName="answer" [modules]="editorModules" (onEditorChanged)="changedEditor($event)"></quill-editor>
              </div>
            </div>

            <div class="container-select">
              <div class="content-services-public">
                <label>Public :</label>
                <select class="content-public" formControlName="isPublic">
                  <option value="true">true</option>
                  <option value="false">false</option>
                </select>
              </div>
            </div>

            <div class="container-selectOne">
              <div class="content-services-questionDate">
                <label>Question date :</label>
                  <input formControlName="questionDate" readonly >
              </div>
    
              <div class="content-services-answerDate">
                <label>Answer Date :</label>
                  <input formControlName="answerDate" type="date"/>
              </div>
    
              <div class="content-services-updaterUser">
                <label>User :</label>
                <input formControlName="updater_user" readonly>
              </div>
              
              <div class="content-services-updaterAdmin">
                <label>Last updater :</label>
                <input formControlName="updater_admin1" readonly>
              </div>
              
              <div class="content-services-admin">
                <label>Admin :</label>
                <input formControlName="updater_admin" readonly>
              </div>

              <div class="content-services-scoreLike" >
                <label>Score Like :</label>
                <input formControlName="score_like" readonly>
              </div>
            </div>
  
          <div class="content-services-button">
            <a (click)="deleteQuestionWb(_id)"><i class="far fa-trash-alt"></i></a>
            <button type="submit" class="submitButton">Submit</button>
            <button type="button" class="cancelButton" [routerLink]="['/admin/webboard']">Cancel</button>
          </div>

        </div>
      </div>
    </div>
  </form>

  
  </section>
</body>
</html>